import { SerializeOptions } from './StructureNodes';
import { Partial } from './Partial';
import { ListItemBuilder, ListItem, UnserializedListItem, ListItemInput } from './ListItem';
import { SchemaType } from './parts/Schema';
export interface DocumentListItemInput extends ListItemInput {
    schemaType: SchemaType | string;
}
export interface DocumentListItem extends ListItem {
    schemaType: SchemaType;
    _id: string;
}
declare type PartialDocumentListItem = Partial<UnserializedListItem>;
export declare class DocumentListItemBuilder extends ListItemBuilder {
    protected spec: PartialDocumentListItem;
    constructor(spec?: DocumentListItemInput);
    serialize(options?: SerializeOptions): DocumentListItem;
    clone(withSpec?: PartialDocumentListItem): DocumentListItemBuilder;
}
export {};
