import { EditorNode, SerializeOptions, Serializable } from './StructureNodes';
import { SchemaType } from './parts/Schema';
export declare type PartialEditorNode = {
    id?: string;
    title?: string;
    options?: {
        id?: string;
        type?: string;
    };
};
export declare class EditorBuilder implements Serializable {
    protected spec: PartialEditorNode;
    constructor(spec?: EditorNode);
    id(id: string): EditorBuilder;
    getId(): string | undefined;
    title(title: string): EditorBuilder;
    getTitle(): string | undefined;
    documentId(documentId: string): EditorBuilder;
    getDocumentId(): string | undefined;
    schemaType(documentType: SchemaType | string): EditorBuilder;
    getSchemaType(): string | undefined;
    serialize({ path, index, hint }?: SerializeOptions): EditorNode;
    clone(withSpec?: PartialEditorNode): EditorBuilder;
}
