import { Ordering } from '../Sort';
interface Schema {
    name: string;
    get(typeName: string): any;
    getTypeNames(): string[];
}
interface SchemaField {
    name: string;
    type: SchemaType;
}
interface PreviewFields {
    media?: string;
}
interface PreviewPreparer {
    (selection: {}): PreviewFields;
}
export interface SchemaType {
    name: string;
    type?: SchemaType;
    to?: SchemaField[];
    fields?: SchemaField[];
    orderings?: Ordering[];
    preview?: {
        select?: PreviewFields;
        prepare?: PreviewPreparer;
    };
}
declare const defaultSchema: Schema;
export { Schema, defaultSchema };
